Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver
Class ResourceResolverSpi

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolverSpi

Direct Known Subclasses:
  ResolverAnonymous, ResolverDirectHTTP, ResolverFragment, ResolverLocalFilesystem, ResolverXPointer

    public abstract class ResourceResolverSpi

extends java.lang.Object

During reference validation, we have to retrieve resources from somewhere.

Author:
  $Author: coheigea $

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties` Field properties
`protected boolean` | `secureValidation` Deprecated. Secure validation flag is now passed to methods.

Constructor Summary
`ResourceResolverSpi()`

Method Summary
`void` | `engineAddProperies(java.util.Map<java.lang.String,java.lang.String> newProperties)`
`boolean` | `engineCanResolve(org.w3c.dom.Attr uri, java.lang.String BaseURI)` Deprecated. See `engineCanResolveURI(ResourceResolverContext)`
`boolean` | `engineCanResolveURI(ResourceResolverContext context)` This method helps the `ResourceResolver` to decide whether a `ResourceResolverSpi` is able to perform the requested action.
`java.lang.String` | `engineGetProperty(java.lang.String key)` Method engineGetProperty
`java.lang.String[]` | `engineGetPropertyKeys()` Method engineGetPropertyKeys
`boolean` | `engineIsThreadSafe()` Tells if the implementation does can be reused by several threads safely.
`XMLSignatureInput` | `engineResolve(org.w3c.dom.Attr uri, java.lang.String BaseURI)` Deprecated. New clients should override `engineResolveURI(ResourceResolverContext)`
`XMLSignatureInput` | `engineResolveURI(ResourceResolverContext context)` This is the workhorse method used to resolve resources.
`void` | `engineSetProperty(java.lang.String key, java.lang.String value)` Method engineSetProperty
`static java.lang.String` | `fixURI(java.lang.String str)` Fixes a platform dependent filename to standard URI form.
`boolean` | `understandsProperty(java.lang.String propertyToTest)` Method understandsProperty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.Map<java.lang.String,java.lang.String> properties

  Field properties

### secureValidation

    protected final boolean secureValidation

  Deprecated. Secure validation flag is now passed to methods.
  Deprecated - used to carry state about whether resolution was being done in a secure fashion, but was not thread safe, so the resolution information is now passed as parameters to methods.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceResolverSpi

    public ResourceResolverSpi()

Method Detail

### engineResolve

    public XMLSignatureInput engineResolve(org.w3c.dom.Attr uri,
                                           java.lang.String BaseURI)
                                    throws ResourceResolverException

  Deprecated. New clients should override `engineResolveURI(ResourceResolverContext)`

  This is the workhorse method used to resolve resources.

  Parameters:
    `uri` -
    `BaseURI` -
  Returns:
    the resource wrapped around a XMLSignatureInput
  Throws:
    `ResourceResolverException`

### engineResolveURI

    public XMLSignatureInput engineResolveURI(ResourceResolverContext context)
                                       throws ResourceResolverException

  This is the workhorse method used to resolve resources.

  Parameters:
    `context` - Context to use to resolve resources.
  Returns:
    the resource wrapped around a XMLSignatureInput
  Throws:
    `ResourceResolverException`

### engineSetProperty

    public void engineSetProperty(java.lang.String key,
                                  java.lang.String value)

  Method engineSetProperty

  Parameters:
    `key` -
    `value` -

### engineGetProperty

    public java.lang.String engineGetProperty(java.lang.String key)

  Method engineGetProperty

  Parameters:
    `key` -
  Returns:
    the value of the property

### engineAddProperies

    public void engineAddProperies(java.util.Map<java.lang.String,java.lang.String> newProperties)

  Parameters:
    `newProperties` -

### engineIsThreadSafe

    public boolean engineIsThreadSafe()

  Tells if the implementation does can be reused by several threads safely. It normally means that the implementation does not have any member, or there is member change between engineCanResolve & engineResolve invocations. Or it maintains all member info in ThreadLocal methods.

### engineCanResolve

    public boolean engineCanResolve(org.w3c.dom.Attr uri,
                                    java.lang.String BaseURI)

  Deprecated. See `engineCanResolveURI(ResourceResolverContext)`

  This method helps the `ResourceResolver` to decide whether a `ResourceResolverSpi` is able to perform the requested action.

  Parameters:
    `uri` -
    `BaseURI` -
  Returns:
    true if the engine can resolve the uri

### engineCanResolveURI

    public boolean engineCanResolveURI(ResourceResolverContext context)

  This method helps the `ResourceResolver` to decide whether a `ResourceResolverSpi` is able to perform the requested action.

  New clients should override this method, and not override `engineCanResolve(Attr, String)`

  Parameters:
    `context` - Context in which to do resolution.
  Returns:
    true if the engine can resolve the uri

### engineGetPropertyKeys

    public java.lang.String[] engineGetPropertyKeys()

  Method engineGetPropertyKeys

  Returns:
    the property keys

### understandsProperty

    public boolean understandsProperty(java.lang.String propertyToTest)

  Method understandsProperty

  Parameters:
    `propertyToTest` -
  Returns:
    true if understands the property

### fixURI

    public static java.lang.String fixURI(java.lang.String str)

  Fixes a platform dependent filename to standard URI form.

  Parameters:
    `str` - The string to fix.
  Returns:
    Returns the fixed URI string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD